/* Google Fonts https://fonts.google.com/ */
@import url('https://fonts.googleapis.com/css2?family=Fraunces:opsz,wght@9..144,700&family=Montserrat:wght@500;700&display=swap');

:root {
    --fraunces: 'Fraunces', serif;
    --montserrat: 'Montserrat', sans-serif;
    --dark-cyan: hsl(158, 36%, 37%);
    --very-dark-cyan: hsl(156, 42%, 18%);
    --cream: hsl(30, 38%, 92%);
    --very-dark-blue: hsl(212, 21%, 14%);
    --dark-grayish-blue: hsl(228, 12%, 48%);
    --white: hsl(0, 0%, 100%);
}

* {
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: var(--montserrat);
    font-weight: 500;
    font-size: 14px;
    line-height: 1.8;
}

.main {
    background-color: var(--cream);
    color: var(--dark-grayish-blue);
    display: flex;
    height: 100vh;
    justify-content: center;
    align-items: center;
}

.main-card {
    width: 600px;
    height: 450px;
    display: flex;
    border-radius: 10px;
    overflow: hidden;
}

.card-picture {
    width: 50%;
    background-image: url(../images/image-product-desktop.jpg);
    background-repeat: no-repeat;
    background-position: left top;
    background-size: contain;
}

.card-texts {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    padding: 5%;
    background-color: var(--white);
}

.texts-top {
    text-transform: uppercase;
    letter-spacing: 5px;
}

.texts-title {
    font-family: var(--fraunces);
    font-size: 32px;
    color: var(--very-dark-blue);
    line-height: 1;
}

.texts-numbers {
    display: flex;
    align-items: center;
    gap: 30px;
}

.numbers-actualPrice {
    font-family: var(--fraunces);
    color: var(--dark-cyan);
}

.numbers-previousPrice {
    text-decoration: line-through;
}

.texts-addToCart {
    font-family: inherit;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 10px;
    color: var(--white);
    background-color: var(--dark-cyan);
    width: 100%;
    padding: 15px 0;
    border-radius: 8px;
    border: none;
    font-weight: 700;
}

/* Active States */
.texts-addToCart:hover {
    cursor: pointer;
    background-color: var(--very-dark-cyan);
}

@media(max-width: 420px) {
    .main {
        display: inline-block;
    }

    .main-card {
        flex-direction: column;
        width: 90%;
        height: auto;
        margin: 8% auto;
    }
    
    .card-picture {
        background-image: url(../images/image-product-mobile.jpg);
        background-size: contain;
        width: 100%;
        height: 260px;
        background-color: var(--white);
    }

    .card-texts {
        width: 100%;
        padding: 6%;
        gap: 20px;
        padding-top: 30px;
    }

}
